Create a dependant Run in API Explorer
Ask AI
Body
-
The first name of the dependant.
-
The last name of the dependant.
-
An optional nickname for the dependant.
-
The relationship of the dependant.
-
The date of birth of the dependant. Must be in Y-m-d format. Example: 1990-12-25.
-
Denotes if the dependant is financially dependant on the client.
-
Optional notes for the dependant.
POST
/api/v1/client/{client_uuid}/dependant
curl \
--request POST 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/dependant' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"first_name":"Christopher","last_name":"Nolan","known_as":"Chris","relationship":"Brother","date_of_birth":"2006-04-09","is_financially_dependant":true,"notes":"Example notes","shared_owner_uuid":"abfa74d5-175d-444c-84af-921fb8ad329c"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"first_name": "Christopher",
"last_name": "Nolan",
"known_as": "Chris",
"relationship": "Brother",
"date_of_birth": "2006-04-09",
"is_financially_dependant": true,
"notes": "Example notes",
"shared_owner_uuid": "abfa74d5-175d-444c-84af-921fb8ad329c"
}
Response examples (201)
{
"name": "Christopher Nolan",
"uuid": "10d06155-e9c1-426c-9e29-d68223b6368a",
"notes": "Example notes",
"accounts": {
"name": "Gareth Thompson",
"role": "client",
"type": "client",
"uuid": "f0a89008-bda8-40f9-8a76-e3eb20db2e1e",
"email": "gareth@codepotato.co.uk",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"created_at": "2026-04-09T11:57:57+01:00",
"first_name": "Gareth",
"updated_at": "2026-04-09T11:57:57+01:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"known_as": "Chris",
"last_name": "Nolan",
"created_at": "2026-04-09T11:57:57+01:00",
"first_name": "Christopher",
"updated_at": "2026-04-09T11:57:57+01:00",
"relationship": "Brother",
"shared_owner": {
"firm": "App\\Http\\Resources\\FirmResource",
"name": "Gareth Thompson",
"role": "client",
"tags": "App\\Http\\Resources\\TagResource",
"type": "client",
"uuid": "48d8da1c-d532-44fe-8787-9fbbc33fd91d",
"email": "gareth@codepotato.co.uk",
"groups": "App\\Http\\Resources\\GroupResource",
"owners": "App\\Http\\Resources\\AccountResource",
"circles": "App\\Http\\Resources\\CircleResource",
"last_name": "Thompson",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"created_at": "2026-04-09T11:57:57+01:00",
"first_name": "Gareth",
"updated_at": "2026-04-09T11:57:57+01:00",
"with_login": true,
"inactive_at": "2026-04-09",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"introduced_by": "App\\Http\\Resources\\AccountResource",
"primary_email": "App\\Http\\Resources\\ContactDetailResource",
"referral_code": "ABC12345",
"can_be_deleted": "false",
"assigned_adviser": "App\\Http\\Resources\\AccountResource",
"next_review_date": "2026-04-09T11:57:57+01:00",
"has_joint_account": true,
"current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
"first_contact_date": "2026-04-09T11:57:57+01:00",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource",
"last_interaction_at": "2026-04-09 11:57:57",
"assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
"joint_account_circle": "App\\Http\\Resources\\CircleResource",
"ownership_percentage": 100,
"previous_review_date": "2026-04-09T11:57:57+01:00",
"primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
"assigned_administrator": "App\\Http\\Resources\\AccountResource",
"anniversary_review_date": "2026-04-09T11:57:57+01:00"
},
"date_of_birth": "2014-04-09T11:57:57+01:00",
"shared_owner_type": "individual",
"is_financially_dependant": true
}